'use strict';

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _meow = require('meow');

var _meow2 = _interopRequireDefault(_meow);

var _shelljs = require('shelljs');

var _shelljs2 = _interopRequireDefault(_shelljs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var cli = (0, _meow2.default)('\n  Usage\n    $ wtd <name>[@<version>]\n\n  Options\n    --list-url, -u  List dependencies URL\n\n  Examples\n    $ wtd express\n    accepts - Higher-level content negotiation\n    array-flatten - Flatten nested arrays\n    content-disposition - Create and parse Content-Disposition header\n    content-type - Create and parse HTTP Content-Type header\n    cookie - HTTP server cookie parsing and serialization\n    ...\n', {
  alias: {
    u: 'list-url'
  }
});

var _cli$input = _slicedToArray(cli.input, 1);

var name = _cli$input[0];
var listUrl = cli.flags.listUrl;


if (!name) {
  console.log('\n    ❌ ERROR: package name is required,\n\n    Examples\n      $ wtd express\n\n    See more\n      $ wtd --help\n  ');
} else {
  _shelljs2.default.exec('./wtd.sh ' + name);
}